task fastqscreen {
	File tumor_read1
	File tumor_read2
	File normal_read1
	File normal_read2
	File screen_ref_dir
	File fastq_screen_conf
	String tumor_read1name = basename(tumor_read1,".fastq.gz")
	String tumor_read2name = basename(tumor_read2,".fastq.gz")
	String normal_read1name = basename(normal_read1,".fastq.gz")
	String normal_read2name = basename(normal_read2,".fastq.gz")
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		mkdir -p /cromwell_root/tmp
		cp -r ${screen_ref_dir} /cromwell_root/tmp/
		fastq_screen --aligner bowtie2 --conf ${fastq_screen_conf} --top 100000 --threads $nt ${tumor_read1}
		fastq_screen --aligner bowtie2 --conf ${fastq_screen_conf} --top 100000 --threads $nt ${tumor_read2}
		fastq_screen --aligner bowtie2 --conf ${fastq_screen_conf} --top 100000 --threads $nt ${normal_read1}
		fastq_screen --aligner bowtie2 --conf ${fastq_screen_conf} --top 100000 --threads $nt ${normal_read2}
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File tumor_png1 = "${tumor_read1name}_screen.png"
		File tumor_txt1 = "${tumor_read1name}_screen.txt"
		File tumor_html1 = "${tumor_read1name}_screen.html"
		File tumor_png2 = "${tumor_read2name}_screen.png"
		File tumor_txt2 = "${tumor_read2name}_screen.txt"
		File tumor_html2 = "${tumor_read2name}_screen.html"
		File normal_png1 = "${normal_read1name}_screen.png"
		File normal_txt1 = "${normal_read1name}_screen.txt"
		File normal_html1 = "${normal_read1name}_screen.html"
		File normal_png2 = "${normal_read2name}_screen.png"
		File normal_txt2 = "${normal_read2name}_screen.txt"
		File normal_html2 = "${normal_read2name}_screen.html"
	}
}